package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配置信息设置对象 mall_shop_config
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
public class MallShopConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 会员费 */
    @Excel(name = "会员费")
    private BigDecimal vipPrice;

    /** 邀请会员返费 */
    @Excel(name = "邀请会员返费")
    private BigDecimal vipReturnRatio;

    /** 特权图 */
    @Excel(name = "特权图")
    private String vipPrivilegeImg;

    /** 模块1名称 */
    @Excel(name = "模块1名称")
    private String module1Name;

    /** 模块1图片 */
    @Excel(name = "模块1图片")
    private String module1Img;

    /** 模块2名称 */
    @Excel(name = "模块2名称")
    private String module2Name;

    /** 模块2图片 */
    @Excel(name = "模块2图片")
    private String module2Img;

    /** 分享海报 */
    @Excel(name = "分享海报")
    private String shareImg;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVipPrice(BigDecimal vipPrice) 
    {
        this.vipPrice = vipPrice;
    }

    public BigDecimal getVipPrice() 
    {
        return vipPrice;
    }
    public void setVipReturnRatio(BigDecimal vipReturnRatio) 
    {
        this.vipReturnRatio = vipReturnRatio;
    }

    public BigDecimal getVipReturnRatio() 
    {
        return vipReturnRatio;
    }
    public void setVipPrivilegeImg(String vipPrivilegeImg) 
    {
        this.vipPrivilegeImg = vipPrivilegeImg;
    }

    public String getVipPrivilegeImg() 
    {
        return vipPrivilegeImg;
    }
    public void setModule1Name(String module1Name) 
    {
        this.module1Name = module1Name;
    }

    public String getModule1Name() 
    {
        return module1Name;
    }
    public void setModule1Img(String module1Img) 
    {
        this.module1Img = module1Img;
    }

    public String getModule1Img() 
    {
        return module1Img;
    }
    public void setModule2Name(String module2Name) 
    {
        this.module2Name = module2Name;
    }

    public String getModule2Name() 
    {
        return module2Name;
    }
    public void setModule2Img(String module2Img) 
    {
        this.module2Img = module2Img;
    }

    public String getModule2Img() 
    {
        return module2Img;
    }
    public void setShareImg(String shareImg) 
    {
        this.shareImg = shareImg;
    }

    public String getShareImg() 
    {
        return shareImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vipPrice", getVipPrice())
            .append("vipReturnRatio", getVipReturnRatio())
            .append("vipPrivilegeImg", getVipPrivilegeImg())
            .append("module1Name", getModule1Name())
            .append("module1Img", getModule1Img())
            .append("module2Name", getModule2Name())
            .append("module2Img", getModule2Img())
            .append("shareImg", getShareImg())
            .toString();
    }
}
